Bug 1571251 - dnf download --source --resolve does not work
Summary: dnf download --source --resolve does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 29
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 12:03 UTC by Eva Mrakova
Modified: 2018-11-22 18:20 UTC (History)
7 users (show)

Fixed In Version: dnf-plugins-core-4.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-22 18:20:54 UTC


Attachments (Terms of Use)

Description Eva Mrakova 2018-04-24 12:03:21 UTC
Description of problem:
'dnf download --source --resolve' does not work, it ignores --resolve
(the results are the same as for 'dnf download --source').

Version-Release number of selected component (if applicable):
dnf-plugins-core-2.1.5-4

How reproducible:
always

Steps to Reproduce:
1. run 
   'dnf download --source --resolve <uninstalled-pkg-with-uninstalled-deps>'

Actual results:
only .src.rpm for the main package is downloaded

Expected results:
dependencies are also taken into account

Additional info:

# dnf download --resolve TestA
Last metadata expiration check: 0:53:10 ago on Tue Apr 24 10:37:04 2018.
(1/3): TestA-2-1.noarch.rpm                     1.9 MB/s | 6.4 kB     00:00    
(2/3): TestE-1-1.noarch.rpm                     1.6 MB/s | 6.3 kB     00:00    
(3/3): TestC-1-1.noarch.rpm                     1.4 MB/s | 6.4 kB     00:00    
# rm -f Test*.rpm
# dnf download --source --resolve TestA
enabling base-source repository
Last metadata expiration check: 0:51:10 ago on Tue Apr 24 10:39:24 2018.
TestA-2-1.src.rpm                               2.8 MB/s | 5.8 kB     00:00    
# rm -f Test*.rpm 
# dnf download --source TestA
enabling base-source repository
Last metadata expiration check: 0:51:48 ago on Tue Apr 24 10:39:24 2018.
TestA-2-1.src.rpm                               2.7 MB/s | 5.8 kB     00:00

Comment 2 dani 2018-07-25 09:52:21 UTC
'--resolve' doesn't work even without '--source'
$ dnf download --resolve zfs
Result: nothing is downloaded
$ dnf download zfs
Result: only zfs package is downloaded
$ dnf install --allowerasing  zfs
Result:
ependencies resolved.
================================================================================
 Package                    Arch        Version              Repository    Size
================================================================================
Installing:
 zfs                        x86_64      0.7.9-1.fc28         zfs          417 k
Installing dependencies:
 dkms                       noarch      2.6.1-1.fc28         updates       78 k
 elfutils-libelf-devel      x86_64      0.173-1.fc28         updates       50 k
 libnvpair1                 x86_64      0.7.9-1.fc28         zfs           33 k
 libuutil1                  x86_64      0.7.9-1.fc28         zfs           36 k
 libzfs2                    x86_64      0.7.9-1.fc28         zfs          131 k
 libzpool2                  x86_64      0.7.9-1.fc28         zfs          577 k
 spl                        x86_64      0.7.9-1.fc28         zfs           32 k
 spl-dkms                   noarch      0.7.9-1.fc28         zfs          460 k
 sysstat                    x86_64      11.7.3-1.fc28        updates      419 k
 zfs-dkms                   noarch      0.7.9-1.fc28         zfs          4.9 M
Removing dependent packages:
 zfs-fuse                   x86_64      0.7.2.2-6.fc27       @fedora      5.9 M

Transaction Summary
================================================================================
Install  11 Packages
Remove    1 Package

Total download size: 7.1 M
Is this ok [y/N]: N

$ dnf download --resolve --allowerasing zfs
Result: nothing is downloaded

$ dnf --version
2.7.5
  Installed: dnf-0:2.7.5-12.fc28.noarch at Wed 25 Apr 2018 06:29:06 AM GMT
  Built    : Fedora Project at Wed 18 Apr 2018 02:29:51 PM GMT

  Installed: rpm-0:4.14.1-9.fc28.x86_64 at Thu 31 May 2018 09:48:09 PM GMT
  Built    : Fedora Project at Thu 24 May 2018 02:53:48 PM GMT

Comment 3 Jan Kurik 2018-08-14 11:15:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.